// Testklasse
/*
 * Aufgabe: Fahrzeugverwaltungssystem
 

Erstelle ein einfaches Fahrzeugverwaltungssystem mit Hilfe von abstrakten Klassen und Vererbung in Java.

Anforderungen:

1. Abstrakte Klasse `Fahrzeug`:
   - Erstelle eine abstrakte Klasse `Fahrzeug` mit den folgenden Merkmalen:
     - Private Attribute: `String marke`, `String modell`, `int baujahr`.
     - Ein Konstruktor, um diese Attribute zu initialisieren.
     - Abstrakte Methode `void beschreibung()`, die eine Beschreibung des Fahrzeugs ausgibt.

2. Erbende Klassen:
   - Erstelle zwei konkrete Klassen, die von `Fahrzeug` erben: `Auto` und `Motorrad`.
   - Jede dieser Klassen sollte die Methode `beschreibung()` implementieren.
   - Zusätzlich sollte jede Unterklasse ein spezifisches Attribut haben:
     - `Auto`: `int anzahlTueren`
     - `Motorrad`: `boolean hatBeiwagen`

3. Testklasse:
   - Erstelle eine Testklasse `FahrzeugTest`, die Folgendes tut:
     - Erzeugt mindestens ein Objekt von jeder Unterklasse (`Auto` und `Motorrad`).
     - Ruft die `beschreibung()`-Methode auf jedem dieser Objekte auf, um die Details auszugeben.
*/
public class FahrzeugTest {
    public static void main(String[] args) {
    	Fahrzeug meinFahrzeug[] = new Fahrzeug[10];
    	
    	meinFahrzeug[0] = new Auto("Volkswagen", "Golf", 2020, 5);
    	meinFahrzeug[1] = new Motorrad("Harley-Davidson", "Street 750", 2019, false);
        
    	for (int t=0; t<2; t++) {
    		meinFahrzeug[t].beschreibung();
    	}
    	/*
    	Auto meinAuto = new Auto("Volkswagen", "Golf", 2020, 5);
        Motorrad meinMotorrad = new Motorrad("Harley-Davidson", "Street 750", 2019, false);

        meinAuto.beschreibung();
        meinMotorrad.beschreibung();
        */
    }
}